vbi_export_class Struct Reference
High Level Decoding » Exporting formatted Teletext and Closed Caption pages » Internal export module interface

`#include <export.h>`

## Data Fields

vbi_export_class * | next
vbi_export_info * | _public
vbi_export *(* | _new )(void)
void(* | _delete )(vbi_export *)
vbi_option_info *(* | option_enum )(vbi_export *, int index)
vbi_bool(* | option_set )(vbi_export *, const char *keyword, va_list)
vbi_bool(* | option_get )(vbi_export *, const char *keyword, vbi_option_value *value)
vbi_bool(* | export )(vbi_export *, vbi_page *pg)

## Detailed Description

Structure describing an export module, part of the private export module interface. One required for each module.

Export modules must initialize these fields (except next, see exp-tmpl.c for a detailed discussion) and call vbi_export_register_module() to become accessible.

Examples
  src/exp-templ.c.